Future Me

Create Future Me predictions based on user scans.

Use these endpoints to generate Future Me predictions that simulate how a user’s body shape and composition could change under different target conditions (for example, a lower body weight or body fat percentage). Predictions are always linked to an existing scan and can be queried or deleted independently of other scans.

All Future Me endpoints require the following headers:

accept: application/json;v=1
authorization: Bearer {{API_KEY}}
content-type: application/json

Replace {{API_KEY}} with your Prism API key for the selected environment.

Register a new body shape prediction

post
/body-shape-prediction

This operation registers a new Future Me body shape prediction for a specific scan.

Use this endpoint to simulate how a user's body shape and composition could change for a given goal (for example, a lower target weight or body fat percentage).

Note: Either a target weight or a target body fat percentage must be specified, but not both at the same time.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
unit-systemstring · enumOptional

The unit system in which values will be returned.

Possible values:
Body
scanIdstringRequired

The unique ID of the scan within the Hosted API on which the body shape prediction is based.

Example: unique-scan-id
predictionTypestring · enumRequired

The prediction type that should be used for the prediction.

Example: weight_lossPossible values:
targetWeightnumber · min: 1Optional

The target weight in kg for the prediction. This or targetBodyfat should be specified, but not both.

Example: 50
targetBodyfatnumber · min: 1Optional

The target body fat percentage for the prediction. This or targetWeight should be specified, but not both.

Example: 20
Responses
post
/body-shape-prediction
201Success

Get status of a body shape prediction

get
/body-shape-prediction/{bodyShapePredictionId}

This operation returns the current status and details of a specific body shape prediction.

Use this endpoint to poll the processing status after creating a prediction or to retrieve its latest state for display in your application.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
bodyShapePredictionIdstringRequired

The unique ID of the body shape prediction.

Example: unique-body-shape-prediction-id
Query parameters
unit-systemstring · enumOptional

The unit system in which values will be returned.

Possible values:
Responses
chevron-right
200Success
application/json;v=1
idstringRequired

The unique ID of the body shape prediction.

Example: unique-body-shape-prediction-id
statusstring · enumRequired

The current body shape prediction status.

Example: PROCESSINGPossible values:
scanIdstringRequired

The unique ID of the scan within the Hosted API on which the body shape prediction is based.

Example: unique-scan-id
predictionTypestring · enumRequired

The prediction type of the prediction.

Example: weight_lossPossible values:
targetWeightnumber · nullableOptional

Target body weight for the prediction.

Example: 50
targetBodyfatnumber · nullableOptional

Target body fat for the prediction.

Example: 20
createdAtstringRequired

The date and time when the body shape prediction was created.

updatedAtstringRequired

The date and time when the body shape prediction was last updated.

get
/body-shape-prediction/{bodyShapePredictionId}
200Success

Delete a body shape prediction

delete
/body-shape-prediction/{bodyShapePredictionId}

This operation deletes a specific body shape prediction. After deletion, the body shape prediction and its associated data are no longer available for retrieval or reporting.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
bodyShapePredictionIdstringRequired

The unique ID of the body shape prediction.

Example: unique-body-shape-prediction-id
Responses
chevron-right
200Success
application/json;v=1
idstringRequired

The unique ID of the body shape prediction.

Example: unique-body-shape-prediction-id
statusstring · enumRequired

The current body shape prediction status.

Example: PROCESSINGPossible values:
scanIdstringRequired

The unique ID of the scan within the Hosted API on which the body shape prediction is based.

Example: unique-scan-id
predictionTypestring · enumRequired

The prediction type of the prediction.

Example: weight_lossPossible values:
targetWeightnumber · nullableOptional

Target body weight for the prediction.

Example: 50
targetBodyfatnumber · nullableOptional

Target body fat for the prediction.

Example: 20
createdAtstringRequired

The date and time when the body shape prediction was created.

updatedAtstringRequired

The date and time when the body shape prediction was last updated.

delete
/body-shape-prediction/{bodyShapePredictionId}
200Success

Get all body shape predictions for a scan

get
/scans/{scanId}/body-shape-predictions

This operation returns all body shape predictions associated with a specific scan.

Use this endpoint to list every Future Me prediction that has been created for the scan, for example to show a history of different target scenarios (weight or body fat goals) in your application.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scanIdstringRequired

The unique ID of the scan.

Example: unique-scan-id
Query parameters
unit-systemstring · enumOptional

The unit system in which values will be returned.

Possible values:
Responses
chevron-right
200Success
application/json;v=1
idstringRequired

The unique ID of the body shape prediction.

Example: unique-body-shape-prediction-id
statusstring · enumRequired

The current body shape prediction status.

Example: PROCESSINGPossible values:
scanIdstringRequired

The unique ID of the scan within the Hosted API on which the body shape prediction is based.

Example: unique-scan-id
predictionTypestring · enumRequired

The prediction type of the prediction.

Example: weight_lossPossible values:
targetWeightnumber · nullableOptional

Target body weight for the prediction.

Example: 50
targetBodyfatnumber · nullableOptional

Target body fat for the prediction.

Example: 20
createdAtstringRequired

The date and time when the body shape prediction was created.

updatedAtstringRequired

The date and time when the body shape prediction was last updated.

get
/scans/{scanId}/body-shape-predictions
200Success

Last updated